Package org.apache.tools.ant.taskdefs.optional.script

# Class ScriptDef.Attribute

java.lang.Object
org.apache.tools.ant.taskdefs.optional.script.ScriptDef.Attribute

Enclosing class:
  `ScriptDef`

public static class ScriptDef.Attribute extends Object
Class representing an attribute definition

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Attribute()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `setDefault(String defaultValue)`
  Set the default value of this `ScriptDef.Attribute`.
  `void`
  `setName(String name)`
  Sets the attribute name.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Attribute

    public Attribute()

- ## Method Details

  - ### setName

    public void setName(String name)
    Sets the attribute name.
    Parameters:
      `name` - the attribute name

  - ### setDefault

    public void setDefault(String defaultValue)
    Set the default value of this `ScriptDef.Attribute`.
    Parameters:
      `defaultValue` - `String`
    Since:
      Ant 1.10.13